Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AbstractOptionalLegalCohabitationType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalLegalCohabitationType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LegalCohabitationBaseType, LegalCohabitationWithStatusAndSourceType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class AbstractOptionalLegalCohabitationType

extends Object
implements Serializable

Java class for AbstractOptionalLegalCohabitationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalLegalCohabitationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LegalCohabitationGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AbstractOptionalLegalCohabitationType()`

Method Summary
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`PartnerType` | `getPartner()` Gets the value of the partner property.
`LegalCohabitationRegistrationType` | `getRegistration()` Gets the value of the registration property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setPartner(PartnerType value)` Sets the value of the partner property.
`void` | `setRegistration(LegalCohabitationRegistrationType value)` Sets the value of the registration property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionalLegalCohabitationType

    public AbstractOptionalLegalCohabitationType()

Method Detail

### getPartner

    public PartnerType getPartner()

  Gets the value of the partner property.

  Returns:
    possible object is `PartnerType`

### setPartner

    public void setPartner(PartnerType value)

  Sets the value of the partner property.

  Parameters:
    `value` - allowed object is `PartnerType`

### getRegistration

    public LegalCohabitationRegistrationType getRegistration()

  Gets the value of the registration property.

  Returns:
    possible object is `LegalCohabitationRegistrationType`

### setRegistration

    public void setRegistration(LegalCohabitationRegistrationType value)

  Sets the value of the registration property.

  Parameters:
    `value` - allowed object is `LegalCohabitationRegistrationType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.